WordPress.org

Ready to get started?Download WordPress

Forums

[Plugin: W3 Total Cache] Memcached + APC cache (4 posts)

  1. Higher
    Member
    Posted 4 years ago #

    I just installed W3TotalCache + APC + memcached on my server that is running mainly Vbulletin forum. Memcached works fine with WP but I have trouble with APC cache.

    APC appears to be stable but automatically restarts after a couple
    hours (each 2.14 hrs in fact) with a empty cache. I don't know how to fix it. Maybe with a directive : http://php.net/manual/en/apc.configuration.php but I am not sure.

  2. Frederick Townes
    Member
    Posted 4 years ago #

    I've never heard of this issue with APC. What version are you using? Why have you installed memcached, do you have a multiple server configuration?

  3. Higher
    Member
    Posted 4 years ago #

    W3 TotalCache/Memcached (homepage, WP2.8.6)
    APC (vbulletin forum + vbseo)

    System Configuration
    APC Version 3.1.3p1
    PHP Version 5.2.5
    Server Software Apache
    Shared Memory 1 Segment(s) with 30.0 MBytes
    (mmap memory, pthread mutex locking)

    Setting Details:
    apc.cache_by_default 1
    apc.canonicalize 1
    apc.coredump_unmap 0
    apc.enable_cli 0
    apc.enabled 1
    apc.file_md5 0
    apc.file_update_protection 2
    apc.filters
    apc.gc_ttl 3600
    apc.include_once_override 0
    apc.lazy_classes 0
    apc.lazy_functions 0
    apc.max_file_size 1M
    apc.mmap_file_mask
    apc.num_files_hint 1000
    apc.preload_path
    apc.report_autofilter 0
    apc.rfc1867 0
    apc.rfc1867_freq 0
    apc.rfc1867_name APC_UPLOAD_PROGRESS
    apc.rfc1867_prefix upload_
    apc.rfc1867_ttl 3600
    apc.shm_segments 1
    apc.shm_size 30
    apc.stat 1
    apc.stat_ctime 0
    apc.ttl 0
    apc.use_request_time 1
    apc.user_entries_hint 4096
    apc.user_ttl 0
    apc.write_lock 1

    Ticket sent to PECL.

    @+

  4. Frederick Townes
    Member
    Posted 4 years ago #

    I recommend using the latest stable version of APC and not the beta. I would also recommend upgrading to PHP 5.2.6 or 5.2.10 if possible, although I'm aware of no APC compatibilities with any version.

Topic Closed

This topic has been closed to new replies.

About this Topic